Package org.apache.nutch.protocol.httpclient

## Class HttpFormAuthConfigurer

- java.lang.Object
- - org.apache.nutch.protocol.httpclient.HttpFormAuthConfigurer

-     public class HttpFormAuthConfigurer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpFormAuthConfigurer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​String>` | `getAdditionalPostHeaders()` |
    `String` | `getCookiePolicy()` |
    `String` | `getLoginFormId()` |
    `Map<String,​String>` | `getLoginPostData()` |
    `String` | `getLoginUrl()` |
    `Set<String>` | `getRemovedFormFields()` |
    `boolean` | `isLoginRedirect()` |
    `HttpFormAuthConfigurer` | `setAdditionalPostHeaders​(Map<String,​String> additionalPostHeaders)` |
    `void` | `setCookiePolicy​(String policy)` |
    `HttpFormAuthConfigurer` | `setLoginFormId​(String loginForm)` |
    `HttpFormAuthConfigurer` | `setLoginPostData​(Map<String,​String> loginPostData)` |
    `HttpFormAuthConfigurer` | `setLoginRedirect​(boolean redirect)` |
    `HttpFormAuthConfigurer` | `setLoginUrl​(String loginUrl)` |
    `HttpFormAuthConfigurer` | `setRemovedFormFields​(Set<String> removedFormFields)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpFormAuthConfigurer

          public HttpFormAuthConfigurer()

  - ### Method Detail

    - #### getLoginUrl

          public String getLoginUrl()

    - #### setLoginUrl

          public HttpFormAuthConfigurer setLoginUrl​(String loginUrl)

    - #### getLoginFormId

          public String getLoginFormId()

    - #### setLoginFormId

          public HttpFormAuthConfigurer setLoginFormId​(String loginForm)

    - #### getLoginPostData

          public Map<String,​String> getLoginPostData()

    - #### setLoginPostData

          public HttpFormAuthConfigurer setLoginPostData​(Map<String,​String> loginPostData)

    - #### getAdditionalPostHeaders

          public Map<String,​String> getAdditionalPostHeaders()

    - #### setAdditionalPostHeaders

          public HttpFormAuthConfigurer setAdditionalPostHeaders​(Map<String,​String> additionalPostHeaders)

    - #### isLoginRedirect

          public boolean isLoginRedirect()

    - #### setLoginRedirect

          public HttpFormAuthConfigurer setLoginRedirect​(boolean redirect)

    - #### getRemovedFormFields

          public Set<String> getRemovedFormFields()

    - #### setRemovedFormFields

          public HttpFormAuthConfigurer setRemovedFormFields​(Set<String> removedFormFields)

    - #### setCookiePolicy

          public void setCookiePolicy​(String policy)

    - #### getCookiePolicy

          public String getCookiePolicy()